Bug 978064 - Remove unused memcache use and the extra stat() system call made as a result
Remove unused memcache use and the extra stat() system call made as a result
Status: ASSIGNED
Product: Gluster-Swift
Classification: Community
Component: object-server (Show other bugs)
0.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Michael Adam
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 17:53 EDT by Peter Portante
Modified: 2016-11-08 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-06-25 17:53:12 EDT
The current gluster-swift integration code has references to the use of memcache, but there was no facility to hook it up, and the code makes an extra stat() system call for the memcache objects that is not necessary since memcache is not in use.

This is yet another drag on the performance of container HEAD and GET requests.
Comment 1 Junaid 2013-06-26 02:51:31 EDT
Assigning the bug to myself as I have already sent the patch.
Comment 3 Luis Pabón 2013-08-07 21:48:28 EDT
Comment #1 from Junaid says there is already a fix.  is this in G4S?

Note You need to log in before you can comment on or make changes to this bug.